config/routes.rb
Rails.application.routes.draw do
  resources :salary_ranges
  resources :hobbies
  resources :hobbies
  resources :jobs
  resources :personal_infos
  resources :people
  resources :people

  root'people#index'

end

app/models/salary_range.rb
class SalaryRange < ActiveRecord::Base
  belongs_to :job

  validate :min_is_less_than_max
  def min_is_less_than_max

    if min_salary > max_salary
      errors.add(:min_salary,"no puede ser mayor")

    end

  end
end

app/controllers/salary_ranges_controller.rb
class SalaryRangesController < ApplicationController
  before_action :set_salary_range, only: [:show, :edit, :update, :destroy]

  # GET /salary_ranges
  # GET /salary_ranges.json
  def index
    @salary_ranges = SalaryRange.all
  end

  # GET /salary_ranges/1
  # GET /salary_ranges/1.json
  def show
  end

  # GET /salary_ranges/new
  def new
    @salary_range = SalaryRange.new
  end

  # GET /salary_ranges/1/edit
  def edit
  end

  # POST /salary_ranges
  # POST /salary_ranges.json
  def create
    @salary_range = SalaryRange.new(salary_range_params)

    respond_to do |format|
      if @salary_range.save
        format.html { redirect_to @salary_range, notice: 'Salary range was successfully created.' }
        format.json { render :show, status: :created, location: @salary_range }
      else
        format.html { render :new }
        format.json { render json: @salary_range.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /salary_ranges/1
  # PATCH/PUT /salary_ranges/1.json
  def update
    respond_to do |format|
      if @salary_range.update(salary_range_params)
        format.html { redirect_to @salary_range, notice: 'Salary range was successfully updated.' }
        format.json { render :show, status: :ok, location: @salary_range }
      else
        format.html { render :edit }
        format.json { render json: @salary_range.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /salary_ranges/1
  # DELETE /salary_ranges/1.json
  def destroy
    @salary_range.destroy
    respond_to do |format|
      format.html { redirect_to salary_ranges_url, notice: 'Salary range was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_salary_range
      @salary_range = SalaryRange.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def salary_range_params
      params.require(:salary_range).permit(:min_salary, :max_salary, :job_id)
    end
end

app/helpers/salary_ranges_helper.rb
module SalaryRangesHelper
end

app/views/salary_ranges/_form.html.erb
<%= form_for(@salary_range) do |f| %>
  <% if @salary_range.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@salary_range.errors.count, "error") %> prohibited this salary_range from being saved:</h2>

      <ul>
      <% @salary_range.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :min_salary %><br>
    <%= f.text_field :min_salary %>
  </div>
  <div class="field">
    <%= f.label :max_salary %><br>
    <%= f.text_field :max_salary %>
  </div>
  <div class="field">
    <%= f.label :job_id %><br>
    <%= f.text_field :job_id %>
  </div>
  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>

app/views/salary_ranges/edit.html.erb
<h1>Editing Salary Range</h1>

<%= render 'form' %>

<%= link_to 'Show', @salary_range %> |
<%= link_to 'Back', salary_ranges_path %>

app/views/salary_ranges/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Listing Salary Ranges</h1>

<table>
  <thead>
    <tr>
      <th>Min salary</th>
      <th>Max salary</th>
      <th>Job</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @salary_ranges.each do |salary_range| %>
      <tr>
        <td><%= salary_range.min_salary %></td>
        <td><%= salary_range.max_salary %></td>
        <td><%= salary_range.job %></td>
        <td><%= link_to 'Show', salary_range %></td>
        <td><%= link_to 'Edit', edit_salary_range_path(salary_range) %></td>
        <td><%= link_to 'Destroy', salary_range, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Salary range', new_salary_range_path %>

app/views/salary_ranges/new.html.erb
<h1>New Salary Range</h1>

<%= render 'form' %>

<%= link_to 'Back', salary_ranges_path %>

app/views/salary_ranges/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Min salary:</strong>
  <%= @salary_range.min_salary %>
</p>

<p>
  <strong>Max salary:</strong>
  <%= @salary_range.max_salary %>
</p>

<p>
  <strong>Job:</strong>
  <%= @salary_range.job %>
</p>

<%= link_to 'Edit', edit_salary_range_path(@salary_range) %> |
<%= link_to 'Back', salary_ranges_path %>